
export let ByjoveStoreConfig = {
    state: {
        session_established: false,
        user: null,
        user_is_root: false,
        permissions: [],
    },
    mutations: {
        SET_SESSION_ESTABLISHED(state, established) {
            state.session_established = established
        },
        SET_USER(state, user) {
            state.user = user
        },
        SET_USER_IS_ROOT(state, is_root) {
            state.user_is_root = is_root
        },
        SET_PERMISSIONS(state, permissions) {
            state.permissions = permissions
        },
    },
    actions: {
        // TODO: should we define the logic here, for fetching current session
        // from backend API?  (thus far that happens in App.mount() instead)
    },
}
